<?php

require_once 'includes/classes/cronjob/CronjobTask.interface.php';

class DumpCronjob implements CronjobTask
{
	function run()
	{
		require 'includes/classes/SQLDumper.class.php';

		require 'includes/config.php';

		try {
 
		  	$bck = new SQLDumper($database);
		  	$bck->backUp();
		  	$bck->setFileDir('./includes/backups/');
		  	$bck->setFileName('2MoonsBackup_'.date('d_m_Y_H_i_s', TIMESTAMP).'.sql');
		  	$bck->saveToFile();
		 
		}
		catch(Exception $e) {
		 
		  echo $e;
		 
		}
	}
}